# std::bitset::size

From cppreference.com
< cpp‎ | utility‎ | bitset

std::size_t size() const; |  | (until C++11)
constexpr std::size_t size(); |  | (since C++11) (until C++14)
constexpr std::size_t size() const; |  | (since C++14)

Returns the number of bits that the bitset can hold.

### Parameters

(none)

### Return value

number of bits that the bitset can hold, i.e. the template parameter `N`

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### See also

count | returns the number of bits set to true (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/bitset/size&oldid=91884"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template